Download it now!
Bug 100261 - GSoC - New Template Manager: category filter does not stick
Summary: GSoC - New Template Manager: category filter does not stick
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Template-Manager
  Show dependency treegraph
 
Reported: 2016-06-07 15:41 UTC by Regina Henschel
Modified: 2016-08-10 16:31 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-06-07 15:41:50 UTC
Start new template manager.
First select a category, e.g. "Business Correspondence".
Second select a module, e.g. "Presentations"

Notice, that the category jumps back to "All categories". No major problem because the other way round is OK, but not nice.

I've got Version: 5.3.0.0.alpha0+
Build ID: 397ad4d4b844d0c1a24fceb20cde460554b9910f
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-06-07_05:23:30
Locale: de-DE (de_DE)
Comment 1 Akshay Deep 2016-06-07 15:51:35 UTC
Hello,
    This topic has been discussed in the design team hangout recently. Resetting the filter has been done intentionally.

Suppose you are in "Presentation Background" category and in "Presentation" as module. Now select "Writer", if we retain "Presentation Background" as category, we would not get any writer templates and see a blank screen, which is also not nice. Hence, the decision was to reset the category filter.

Thanks,
Akshay
Comment 2 Regina Henschel 2016-06-07 16:16:07 UTC
I have all my own self-made templates in a special category (which is not located in the user directory), so it is natural for me to first select the category. How do enterprises organize their templates? But "wont fix" is OK for me. If more users complain, the bug can be reopened if needed.
Comment 3 Akshay Deep 2016-06-09 02:29:44 UTC
Okie.. depends on review of people, leaving it to WONTFIX in the meantime
Comment 4 Yousuf Philips (jay) (retired) 2016-08-10 16:31:48 UTC
Hi Regina,

I suggested this behaviour because many folders/categories are empty in particular apps/modules, so rather than seeing a blank list when switching the app and then a user having to switch it to all folders, auto resetting it to show all folders was  the approach. For example, you've selected to filter impress templates and select the presentation backgrounds folder, then switch to writer and you'll see nothing if it isnt auto reset back to all folders.

@Heiko, @Stuart, @Adolfo: What is your take on this.